SDK
import { createVoyantConnectClient } from "@voyant-travel/connect-sdk";
const connect = createVoyantConnectClient({ apiKey: process.env.VOYANT_API_KEY });
const result = await connect.customConnectionRequests.create("<organizationId>", {
"supplierName": "<string>",
"category": "hotels",
"description": "<string>",
"website": "<string>",
"estimatedVolume": "<string>",
"hasCredentials": true
});curl --request POST \
--url https://api.voyant.travel/connect/v1/organizations/<organizationId>/custom-connection-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"supplierName": "<string>",
"category": "hotels",
"description": "<string>",
"website": "<string>",
"estimatedVolume": "<string>",
"hasCredentials": true
}'const response = await fetch("https://api.voyant.travel/connect/v1/organizations/<organizationId>/custom-connection-requests", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"supplierName": "<string>",
"category": "hotels",
"description": "<string>",
"website": "<string>",
"estimatedVolume": "<string>",
"hasCredentials": true
}),
});
const data = await response.json();import requests
response = requests.post(
"https://api.voyant.travel/connect/v1/organizations/<organizationId>/custom-connection-requests",
headers={
"Authorization": "Bearer <token>"
},
json={
"supplierName": "<string>",
"category": "hotels",
"description": "<string>",
"website": "<string>",
"estimatedVolume": "<string>",
"hasCredentials": True
}
)
data = response.json()
{
"id": "<string>",
"organizationId": "<string>",
"supplierName": "<string>",
"category": "hotels",
"description": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"requesterUserId": "<string>",
"website": "<string>",
"estimatedVolume": "<string>",
"hasCredentials": true
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Custom Connection Requests
Create a custom connection request
Requests onboarding of a supplier not yet in the provider catalog. Requires a *:write scope.
POST
/
connect
/
v1
/
organizations
/
{organizationId}
/
custom-connection-requests
SDK
import { createVoyantConnectClient } from "@voyant-travel/connect-sdk";
const connect = createVoyantConnectClient({ apiKey: process.env.VOYANT_API_KEY });
const result = await connect.customConnectionRequests.create("<organizationId>", {
"supplierName": "<string>",
"category": "hotels",
"description": "<string>",
"website": "<string>",
"estimatedVolume": "<string>",
"hasCredentials": true
});Authorizations
Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).
Path Parameters
Body
application/json
Response
Created request.
Available options:
hotels, airlines, operators, dmcs, tours, other ⌘I